<template>
    <Story title="BulkActionsBar">
        <Variant title="1 selected">
            <BulkActionsBar />
        </Variant>
        <Variant title="Many selected">
            <BulkActionsBar />
        </Variant>
    </Story>
</template>

<script setup lang="ts">
import { onMounted } from 'vue';
import BulkActionsBar from './BulkActionsBar.vue';
import { useProjectsStore } from '../../stores/projectsStore';

const store = useProjectsStore();
onMounted(() => {
    store.selectedIds.add(1);
    store.selectedIds.add(2);
    store.selectedIds.add(3);
});
</script>
